# spec file for package nodejs-nodejs-async-some

%global npm_name async-some
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-async-some
Version:        1.0.1
Release:        1%{?dist}
Summary:        short-circuited, asynchronous version of Array.protototype.some
Url:            https://github.com/othiym23/async-some
Source0:        http://registry.npmjs.org/async-some/-/async-some-%{version}.tgz
License:        ISC
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires: npm(tap)
%endif

BuildRequires: npm(dezalgo)

%description
short-circuited, asynchronous version of Array.protototype.some

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json some.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/async-some

%doc README.md

%changelog
* Wed May 13 2015 Zuzana Svetlikova - 1.0.1-1
- Initial build
